%global srcname domelementtype

Name:           nodejs-%{srcname}
Version:        1.1.3
Release:        3%{?dist}
Summary:        All the types of nodes in htmlparser2's dom
License:        BSD
URL:            https://github.com/FB55/domelementtype
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%files
%doc readme.md LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.1.3-2
- Fixed license
- Added rm -rf node_modules/
- Removed Group tag

* Sun Nov 23 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.1.3-1
- Initial package
